New Symbology does not print

2011-02-09 10:08 AM - bderstine -

Status: Closed

Priority: Low

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13539

Description

I have a linear feature layer (railroad lines).

I wanted to create my own symbology for it since the default options are inadequate.

Layer > Properties > New Symbology > select the railroad symbol > properties > add a new line, etc. to create two-track symbol with line

offsets (see image attached)

Create Print Composer, add map, add legend with layer using the new symbology.

In the Print Composer the railroad symbology looks correct, but when you print to .pdf, .png or .jpg the image does not have the same

symbology for railroad.  It is as if New Symbology is being completely ignored in the process of saving to a file. Perhaps the line offsets are

being ignored?  (see images attached)

History

#1 - 2011-03-16 04:06 PM - bderstine -

Not sure who could help with this...

#2 - 2011-03-25 02:31 PM - Martin Dobias

- Status changed from Open to Closed

- Resolution set to fixed

fixed in commit:ccee31f4 (SVN r15604)

#3 - 2011-04-06 04:38 PM - Mayeul Kauffmann

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Hi,

I think it is only partly solved (tested on commit:f173c42a (SVN r15673) and commit:b8f83497 (SVN r15677)).

Now the map canvas and the pdf are consistent but the offset seen in the map composer is much wider than on the map canvas and on the pdf (see

screenshot). If I'm correct, it seems correct in the map composer if and only if the "width" parameter (the one which modifies the size of the entire symbol)

is equal to one.

As a minor note, with a set of styles I had (using the symbol-wide  "width" parameter equals to 0.3), I needed to reduce a lot the line offsets to get the same

appearance as before on the map canvas (without this, I got a very wide offset on the map canvas with the new qgis, same appearance as what I had
before on the exported pdf). Is it that the map export was correct and all the rest incorrect before commit:ccee31f4 (SVN r15604)?

(A few related side notes which may give rise to independent tickets:

    -  the symbol-wide  "width" parameter should probably change the offset as well, not only width of individual symbol levels

    -  the offset should be allowed to be expressed in map units

    -  the offset and line width should be allowed to have more than 2 decimal places, otherwise mapunit is useless when CRS is lat-long/degress

    -  pdf vector export now yields MUCH bigger files than with commit:b76c9620 (SVN r15539), like 30MB for screenshot [500ko as raster pdf]  )

#4 - 2011-12-13 08:24 PM - Alister Hood

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Now the map canvas and the pdf are consistent but the offset seen in the map composer is much wider than on the map canvas and on the pdf

Is this still a problem?

I think it might be fixed on trunk along with #3786.

#5 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-04-16 06:25 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#7 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2014-04-06 06:02 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#9 - 2014-06-02 04:53 AM - Nathan Woodrow

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

This is no longer an issue in master.
